import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * this image was taken from creative commons.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class lilUzi extends Actor
{ 
    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
    }

    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-8);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+8);
        }
        
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
        
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
    }

    /**
     * Check whether we are touching a bacterium or virus. Remove bacteria.
     * Game over if we hit a virus.
     */
    private void checkCollision()
    {
        if (isTouching(Staplegun.class)) 
        {
            Greenfoot.playSound("staplingPaper.wav");
            removeTouching(Staplegun.class);
            Purpledrank bloodstream = (Purpledrank)getWorld();
            bloodstream.addScore(20);
        }

        if (isTouching(Joebudden.class)) 
        {
            removeTouching(Joebudden.class);
            Purpledrank bloodstream = (Purpledrank)getWorld();
            bloodstream.addScore(-100);
            
        }
    }
}

